package com.kozaxinan.mutablelivedatalintfail

import androidx.lifecycle.MutableLiveData

class LiveDataTest1 {

  private val liveData: MutableLiveData<String> = MutableLiveData<String>("Some string")

  init {
    liveData.value = null
  }
}

class LiveDataTest2 {

  private val liveData: MutableLiveData<String> = MutableLiveData("Some string")

  init {
    liveData.value = null
  }
}

class LiveDataTest3 {

  val liveData: MutableLiveData<String> = MutableLiveData<String>("Some string")

  init {
    liveData.value = null
  }
}
